Name:           perl-Catalyst-Plugin-Session-State-Cookie
Version:        0.09
Release:        2%{?dist}
Summary:        Maintain session IDs using cookies
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-State-Cookie/
Source0:        http://www.cpan.org/authors/id/N/NU/NUFFIN/Catalyst-Plugin-Session-State-Cookie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Catalyst::Plugin::Session) >= 0.19
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::MockObject)
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::WWW::Mechanize::Catalyst)

# not automatically picked up
Requires:       perl(Catalyst::Plugin::Session) >= 0.19

%description
In order for Catalyst::Plugin::Session to work the session ID needs to
be stored on the client, and the session data needs to be stored on
the server.  This plugin provides a way to store the session ID on the 
client, through a cookie.

%prep
%setup -q -n Catalyst-Plugin-Session-State-Cookie-%{version}

# make sure doc/tests don't generate provides
# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
FOO=`perl -p -e 's|%{buildroot}%{_docdir}/%{name}-%{version}\S+||'`
%{__perl_provides} $FOO 
EOF

%define __perl_provides %{_builddir}/Catalyst-Plugin-Session-State-Cookie-%{version}/%{name}-prov
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-2
- bump

* Thu May 29 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- Specfile autogenerated by cpanspec 1.74.
